Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004028OCamlOCaml generalpublic2006-05-21 16:012006-11-24 16:39
Reporterjderque 
Assigned Todoligez 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.09.2 
Target VersionFixed in Version3.09.4+dev / +rc 
Summary0004028: ocamlcp displays warnings twice
Descriptionocamlcp displays both warnings from ocamlprof and ocamlc.
Since ocamlprof doesn't understand the -w flag, some warnings are still displayed even when passing the "-w a" option.

The attached patch does the following :
 - add the -w option support to ocamlprof ;
 - pass "-w a" to ocamlprof in ocamlcp to suppress additional warnings.
TagsNo tags attached.
Attached Filesdiff file icon ocamlprof-warning.diff [^] (2,381 bytes) 2006-05-21 16:01 [Show Content]

- Relationships

-  Notes
(0003863)
doligez (administrator)
2006-11-24 16:39

fixed in 3.09 branch by disabling all warnings in ocamlprof

- Issue History
Date Modified Username Field Change
2006-05-21 16:01 jderque New Issue
2006-05-21 16:01 jderque File Added: ocamlprof-warning.diff
2006-08-29 17:37 doligez Assigned To => doligez
2006-08-29 17:37 doligez Severity trivial => tweak
2006-08-29 17:37 doligez Status new => acknowledged
2006-11-24 16:39 doligez Note Added: 0003863
2006-11-24 16:39 doligez Status acknowledged => closed
2006-11-24 16:39 doligez Resolution open => fixed
2006-11-24 16:39 doligez Fixed in Version => 3.09.4+dev / +rc


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker